import { IJenkinsView } from './jenkins-api-ts-typings';
import { IJenkinsJob } from './jenkins-api-ts-typings';
export declare class JenkinsView implements IJenkinsView {
    jsonData: JSON;
    name: string;
    url: string;
    description: string;
    _class: string;
    jobs: Array<IJenkinsJob>;
    property: Array<any>;
    constructor();
    getJsonData(): string;
    fromJsonString(json: string): void;
    fromJson(data: JSON): void;
}
